Subject: Re: WARNING: at net/sched/sch_generic.c:448

From: Vinicius Costa Gomes <[email-masked]>
Date: Fri, 25 Oct 2019 15:26:06 -0700

Hi,

Davidlohr Bueso <[email-masked]> writes:

> I am able to trigger this a few seconds into running pi_stress (from
> rt-tests, quite a non network workload). But this is not the only one.
> I'm going through some logs to see what other test is triggering it.

Looking at the at the caveats section of pi_stress(8), this is expected:

"The pi_stress test threads run as SCHED_FIFO or SCHED_RR threads, which
means that they can starve critical system threads. It is advisable to
change the scheduling policy of critical system threads to be SCHED_FIFO
prior to running pi_stress and use a priority of 10 or higher, to
prevent those threads from being starved by the stress test."

Are the other workloads similar to pi_stress?

Cheers,
--
Vinicius